libzypp 17.36.7

Public Member Functions | Private Attributes | List of all members
zypp::repo::RepoMirrorList Class Reference

`#include <zypp/repo/RepoMirrorList.h>`

## Public Member Functions
| RepoMirrorList (const Url &url_r, const Pathname &metadatapath_r, bool mirrorListForceMetalink_r)
| RepoMirrorList (const Url &url_r)
const std::vector< Url > & | getUrls () const
std::vector< Url > & | getUrls ()

## Private Attributes
std::vector< Url > | _urls

## Detailed Description

Definition at line 21 of file RepoMirrorList.h.

## Constructor & Destructor Documentation

## ◆ RepoMirrorList() [1/2]

zypp::repo::RepoMirrorList::RepoMirrorList | ( | const Url & | url_r,
|  | const Pathname & | metadatapath_r,
|  | bool | mirrorListForceMetalink_r )

Definition at line 127 of file RepoMirrorList.cc.

## ◆ RepoMirrorList() [2/2]

zypp::repo::RepoMirrorList::RepoMirrorList | ( | const Url & | url_r | ) |
| inline

Definition at line 26 of file RepoMirrorList.h.

## Member Function Documentation

## ◆ getUrls() [1/2]

const std::vector< Url > & zypp::repo::RepoMirrorList::getUrls | ( |  | ) | const
| inline

Definition at line 30 of file RepoMirrorList.h.

## ◆ getUrls() [2/2]

std::vector< Url > & zypp::repo::RepoMirrorList::getUrls | ( |  | ) |
| inline

Definition at line 33 of file RepoMirrorList.h.

## Member Data Documentation

## ◆ _urls

std::vector<Url> zypp::repo::RepoMirrorList::_urls
| private

Definition at line 37 of file RepoMirrorList.h.

The documentation for this class was generated from the following files:

- zypp/repo/RepoMirrorList.h
- zypp/repo/RepoMirrorList.cc